#include <p18f4550.h>
#include <timers.h>

void main(void)
{
    // initialisation
    TRISA &= 0xBF;    // A6 en sortie
	OpenTimer0(
			TIMER_INT_OFF &	// dsactive les interruptions
			T0_16BIT &		// configure sur 16 bits
			T0_SOURCE_INT &	// utilise l'horloge interne
			T0_PS_1_256		// divise l'horloge par 256
			);

    // boucle infinie
    while (1) {                        // on rpte infiniment
        WriteTimer0(0);                // mise  0 du timer
        while (ReadTimer0() < 23438);  // attente 0,5 s
        PORTA |= 0x40;                 // on claire la LED
        WriteTimer0(0);                // mise  0 du timer
        while (ReadTimer0() < 23438);  // attente 0,5 s
        PORTA &= 0xBF;                 // on teint la LED
    }
}
